Subject: bug#61667: 29.0.60; Failure to redisplay

From: Po Lu <[email-masked]>
Date: Sat, 25 Feb 2023 15:21:36 +0800

Eli Zaretskii <[email-masked]> writes:

> Yes.  Which means these X and GTK calls are not the direct culprit of
> the delay.

What happens if you add an explicit call to XFlush afterwards?
If that makes it work, then the frame title delay is caused by some
slowness after the call is made.

An Xlib function will only place the request onto an output buffer,
which is normally flushed when it becomes full or the next time Xlib
decides to read input or wait for a reply from the X server.  The
library also performs optimizations on requests inside the output
buffer, mostly those of the Poly* type.  You have to call XFlush
manually after making a request if you really want it to be sent.